#ifndef __SIIS_API_H___
#define __SIIS_API_H__

extern "C"{

#define WM_SSX_USERBASE				WM_USER+1000
#define WM_SSX_ADDMENU				WM_SSX_USERBASE+1
#define WM_SSX_ENABLEMENU			WM_SSX_USERBASE+2
#define WM_SSX_GETHANDLE			WM_SSX_USERBASE+4
#define WM_SSX_FIND					WM_SSX_USERBASE+5
#define WM_SSX_SCAN					WM_SSX_USERBASE+6
#define WM_SSX_GETRECORD			WM_SSX_USERBASE+7
#define WM_SSX_GETCOUNT				WM_SSX_USERBASE+8
#define WM_SSX_SHOWDOCUMENT			WM_SSX_USERBASE+9
#define WM_SSX_GETFOLDERSCOUNT		WM_SSX_USERBASE+10
#define WM_SSX_GETFOLDERINFO		WM_SSX_USERBASE+11
#define WM_SSX_GETFOLDERINFO2		WM_SSX_USERBASE+12
#define WM_SSX_GETDOCUMENTSCOUNT	WM_SSX_USERBASE+13
#define WM_SSX_GETDOCUMENTINFO		WM_SSX_USERBASE+14

#define WM_SSX_SETDOCUMENTINFO		WM_SSX_USERBASE+15
#define WM_SSX_SETFOLDETINFO		WM_SSX_USERBASE+16
#define WM_SSX_APPENDDOCUMENT		WM_SSX_USERBASE+17
#define WM_SSX_CREATEFOLDER			WM_SSX_USERBASE+18
#define WM_SSX_FINDFOLDER			WM_SSX_USERBASE+19

#define WM_SSX_DOCUMENTCUSTOMSEARCH		WM_SSX_USERBASE+20
#define WM_SSX_DOCUMENTCUSTOMSEARCHINFO	WM_SSX_USERBASE+21

#define WM_SSX_FOLDERCUSTOMSEARCH		WM_SSX_USERBASE+22
#define WM_SSX_FOLDERCUSTOMSEARCHINFO	WM_SSX_USERBASE+23

#define WM_SSX_GETCURRENTFOLDERID		WM_SSX_USERBASE+24
#define WM_SSX_GETCURRENTDOCUMENTID		WM_SSX_USERBASE+25

// Plugin
#define CODE_BASE				2000

#define	GET_ID					CODE_BASE+1
#define	DO_COMMAND				CODE_BASE+2
#define	INIT_PLUGIN				CODE_BASE+3
#define	UPDATE_MENU				CODE_BASE+4
#define	NOTIFY_EVENT			CODE_BASE+5

//Evenets
#define EVENT_BASE					4000
#define	SSX_EVENT_FOLDERADDED		EVENT_BASE+1
#define	SSX_EVENT_FOLDEROPENED		EVENT_BASE+2

#define	SSX_EVENT_DOCUMENTADDED		EVENT_BASE+3
#define	SSX_EVENT_DOCUMENTOPENED	EVENT_BASE+4

		
//
#define HFOLDER unsigned long


typedef struct {
	long	Version;
	WORD	PluginID;
	char	*szMenuCaption;
	long	iMenuID;
	long	ret_code;
} _menu_t;

typedef struct {
	long	Version;
	WORD	PluginID;
	long	iMenuID;
	long	iEnable;	// 1=enable 0=disable
	long	ret_code;
} _enable_menu_t;

typedef struct {
	long	Version;
	WORD	PluginID;
	char	*szSearchString;
	long	iFieldIndex; //
	long	iComparisonOp;
	long	ret_code;
} _search_document_t;

typedef struct {
	long	Version;
	WORD	PluginID;
	long	iDocumentCount;
	long	ret_code;
} _search_document_count_t;


typedef struct{
	long	Version;
	WORD	PluginID;
	HFOLDER	iParentFolder;
	long	iFolders;
	long	ret_code;
} _folders_count_t;

typedef struct{
	long	Version;
	WORD	PluginID;
	HFOLDER	iParentFolder;
	long	iDocuments;
	long	ret_code;
} _documents_count_t;

typedef struct{
	long	Version;
	WORD	PluginID;
	char	*szDocumentPath;
	long	ret_code;
} _scan_document_t;

typedef struct{
	long	Version;
	WORD	PluginID;
	HFOLDER	iParentFolder;
	WORD	iPos;
	long	iFolderID;
	char	*szName;
	char	*szDescription;
	char	*szKeywords;
	char	*szDate;
	// custom fields
    long	iNF;
    char	*szCFN[32];
    char	*szCFV[32];
	
	long	ret_code;
} _folder_info_t;

typedef struct{
	long	Version;
	WORD	PluginID;
	HFOLDER	iParentFolder;
	WORD	iPos;
	long	iDocumentID;
	char	*szName;
	char	*szDescription;
	char	*szKeywords;
	char	*szDate;
	char	*szDocumentPath;
	// custom fields
    long	iNF;
    char	*szCFN[32];
    char	*szCFV[32];
  
	long	ret_code;
} _document_info_t;

typedef struct {
	long	Version;
	WORD	PluginID;
	char	*szSQLStmt;
	long	iRecordsFound;
	long	ret_code;
} _document_custom_search_t;

typedef struct {
	long	Version;
	WORD	PluginID;
	char	*szSQLStmt;
	long	iRecordsFound;
	long	ret_code;
} _folder_custom_search_t;


// function prototypes
long		WINAPI	ssxGetHandle(void);
long		WINAPI	ssxEnableMenu(_enable_menu_t *);
long		WINAPI	ssxFindDocument(_search_document_t *);
long		WINAPI	ssxScan(_scan_document_t *);
long		WINAPI	ssxShowDocument(_document_info_t *pDocumentInfo);
long		WINAPI	ssxGetSearchRecordCount(_search_document_count_t *pSearchDocumentCount);
long		WINAPI	ssxGetSearchRecord(_document_info_t *pSearchDocumentInfo);
long		WINAPI	ssxGetFoldersCount(_folders_count_t *pFoldersCount);
long		WINAPI	ssxGetFolderInfo(_folder_info_t *pFoldersInfo);
long		WINAPI	ssxGetFolderInfo2(_folder_info_t *pFoldersInfo);
long		WINAPI	ssxGetDocumentsCount(_documents_count_t *pDocumentsCount);
long		WINAPI	ssxGetDocumentInfo(_document_info_t *pDocumentInfo);
long		WINAPI	ssxAppendDocument(_document_info_t *pDocumentInfo);
long		WINAPI	ssxSetDocumentInfo(_document_info_t *pDocumentInfo);
long		WINAPI	ssxSetFolderInfo(_folder_info_t *pFoldersInfo);
long		WINAPI	ssxCreateFolder(_folder_info_t *pFoldersInfo);
long		WINAPI	ssxDocumentCustomSearch(_document_custom_search_t *pDocCustomSearch);
long		WINAPI	ssxGetDocumentCustomSearchInfo(_document_info_t *pDocumentInfo);

long		WINAPI	ssxFolderCustomSearch(_folder_custom_search_t *pFolderCustomSearch);
long		WINAPI	ssxGetFolderCustomSearchInfo(_folder_info_t *pFolderInfo);

long		WINAPI	ssxGetCurrentFolderID(_folder_info_t *pFolderInfo);
long		WINAPI	ssxGetCurrentDocumentID(_document_info_t *pDocumentInfo);

} // extern "C"

#endif