library CustomArchive;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils,
  Windows,
  Dialogs,
  Classes,
  TreeArchive in 'TreeArchive.pas' {ArchiveDialog},
  siis_api in '..\Common\siis_api.pas';

{$E ssx}

{$R *.RES}
Var
  ArchiveDialog: TArchiveDialog;
  pMenu:PExtMenu;
  szCaption:array[0..128] of char;

// include functions prototypes
// ============================
{$INCLUDE ..\common\siis_prototypes.inc}

function SARASOFT_PLUGIN(nCode:Integer; dataStruct:Pointer):Integer; stdcall;
begin
 case nCode of
   GET_ID:
     Result:=PLUGIN_ID;

   DO_COMMAND:
    begin
     ArchiveDialog := TArchiveDialog.Create(nil);
     ArchiveDialog.Show;
    end;

   INIT_PLUGIN:
    begin
     szCaption:='Custom Archive/Index ...';

     pMenu:=PExtMenu(dataStruct);
     pMenu.Version:=10;
     pMenu.PluginID:=PLUGIN_ID;
     pMenu.szMenuCaption:=szcaption;
     pMenu.iMenuID:=$0001;
    end;
 end;
end;

exports
SARASOFT_PLUGIN;

begin
end.


