grant dba to "informix";
grant dba to "siis";
grant dba to "SiiS";



{ TABLE "informix".control row size = 1311 number of columns = 14 index size = 0 
              }
create table "informix".control 
  (
    nfolders integer,
    lastfolder integer,
    nimages integer,
    lastimage integer,
    lastfax integer,
    type_graphics char(255),
    type_ole char(255),
    type_mm char(255),
    type_internet char(255),
    type_text char(255),
    lastuser integer,
    lastgroup integer,
    lastmsg integer,
    lastmsgfolder integer
  );
revoke all on "informix".control from "public";

{ TABLE "informix".doc_depot row size = 898 number of columns = 12 index size = 12 
              }
create table "informix".doc_depot 
  (
    dd_pageid integer not null ,
    source char(64),
    user_id char(64),
    ref_count integer,
    date_time datetime year to second,
    file_name char(64),
    ext char(4),
    thumb byte,
    document byte,
    security char(255),
    check_by char(64),
    check_path char(255),
    primary key (dd_pageid)  constraint "informix".ct_doc_depot1
  );
revoke all on "informix".doc_depot from "public";

{ TABLE "informix".folders row size = 1119 number of columns = 14 index size = 12 
              }
create table "informix".folders 
  (
    id integer not null ,
    parentid integer,
    sisname char(64),
    description char(240),
    datecreated datetime year to second,
    datelastac datetime year to second,
    source char(32),
    date1 datetime year to second,
    userdate1 datetime year to second,
    remarks char(240),
    locked integer,
    npages integer,
    keywords char(240),
    security char(255),
    primary key (id)  constraint "informix".ct_folders2
  );
revoke all on "informix".folders from "public";

{ TABLE "informix".groups row size = 200 number of columns = 4 index size = 102 }
create table "informix".groups 
  (
    sisname char(64) not null ,
    description char(128),
    id integer not null ,
    acl integer,
    primary key (sisname)  constraint "informix".ct_groups2
  );
revoke all on "informix".groups from "public";

{ TABLE "informix".gui row size = 516 number of columns = 5 index size = 12 }
create table "informix".gui 
  (
    id integer not null ,
    caption_e char(128),
    caption_local char(128),
    hint_e char(128),
    hint_local char(128),
    primary key (id)  constraint "informix".ct_gui2
  );
revoke all on "informix".gui from "public";

{ TABLE "informix".history row size = 573 number of columns = 9 index size = 90 }
create table "informix".history 
  (
    signature char(48) not null ,
    docid integer not null ,
    type char(10),
    subject char(255),
    sisuser char(64),
    sisfrom char(64),
    sisto char(64),
    sisdate datetime year to second,
    document byte,
    primary key (signature)  constraint "informix".ct_history2
  );
revoke all on "informix".history from "public";

create index "informix".ix_history on "informix".history (docid);
    
{ TABLE "informix".pages row size = 975 number of columns = 17 index size = 24 }
create table "informix".pages 
  (
    pageid integer not null ,
    folderid integer,
    locked integer,
    nlinks integer,
    keywords char(240),
    linked integer,
    linkpageid integer,
    imported integer,
    linkpath char(64),
    sisname char(64),
    ext char(4),
    linkfolderid integer,
    deleted integer,
    description char(240),
    userdate1 datetime year to second,
    foldername char(64),
    security char(255),
    date1 datetime year to second,
    primary key (pageid)  constraint "informix".ct_pages2
  );
revoke all on "informix".pages from "public";

create index "informix".folderid on "informix".pages (folderid);
    
{ TABLE "informix".routing row size = 982 number of columns = 13 index size = 24 
              }
create table "informix".routing 
  (
    id integer not null ,
    folderid integer not null ,
    subject char(64),
    message char(512),
    sisfrom char(64) not null ,
    sisto char(64) not null ,
    sisdate datetime year to fraction(3) not null ,
    r char(1) not null ,
    d1 char(1) not null ,
    d2 char(1) not null ,
    cc char(1),
    siscc char(255),
    archived char(1),
    primary key (id)  constraint "informix".ct_routing2
  );
revoke all on "informix".routing from "public";

create index "informix".ix_routing on "informix".routing (folderid);
    
{ TABLE "informix".users row size = 644 number of columns = 7 index size = 102 }
create table "informix".users 
  (
    sisname char(64) not null ,
    fullname char(128),
    description char(128),
    id integer not null ,
    password char(64),
    groups char(255),
    admin char(1),
    primary key (sisname)  constraint "informix".ct_users2
  );
revoke all on "informix".users from "public";







 






